MWProStructuresInternal::Cell Struct Reference

Internal: the cell of a WNProStructure. More...

Inheritance diagram for MWProStructuresInternal::Cell:

## Public Member Functions

| Cell (MWProStructures &parser, Block *block)
| constructor More...
bool | sendContent (MWAWContentListenerPtr listener, MWAWTable &)
| send the content More...
Public Member Functions inherited from MWAWCell
| MWAWCell ()
| constructor More...
virtual | ~MWAWCell ()
| destructor More...
void | addTo (WPXPropertyList &propList) const
| adds to the propList More...
virtual bool | send (MWAWContentListenerPtr listener, MWAWTable &table)
| function called when a cell is send by MWAWTable to send a cell to a listener. More...
Vec2i const & | position () const
| position accessor More...
void | setPosition (Vec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2 More...
Vec2i const & | numSpannedCells () const
| returns the number of spanned cells More...
void | setNumSpannedCells (Vec2i numSpanned)
| sets the number of spanned cells : Vec2i(1,1) means 1 cellule More...
Box2f const & | bdBox () const
| bdbox accessor More...
void | setBdBox (Box2f box)
| set the bdbox (unit point) More...
Vec2f const & | bdSize () const
| bdbox size accessor More...
void | setBdSize (Vec2f sz)
| set the bdbox size(unit point) More...
bool | isProtected () const
| returns true if the cell is protected More...
void | setProtected (bool fl)
| returns true if the cell is protected More...
HorizontalAlignment | hAlignement () const
| returns the horizontal alignement More...
void | setHAlignement (HorizontalAlignment align)
| sets the horizontal alignement More...
VerticalAlignment | vAlignement () const
| returns the vertical alignement More...
void | setVAlignement (VerticalAlignment align)
| sets the vertical alignement More...
bool | hasBorders () const
| return true if the cell has some border More...
std::vector< MWAWBorder > const & | borders () const
| return the cell border: libmwaw::Left | ... More...
void | resetBorders ()
| reset the border More...
void | setBorders (int wh, MWAWBorder const &border)
| sets the cell border: wh=libmwaw::Left|... More...
MWAWColor | backgroundColor () const
| returns the background color More...
void | setBackgroundColor (MWAWColor color)
| sets the background color More...
bool | hasExtraLine () const
| returns true if we have some extra lines More...
ExtraLine | extraLine () const
| returns the extra lines More...
MWAWBorder const & | extraLineType () const
| returns the extra line border More...
void | setExtraLine (ExtraLine extrLine, MWAWBorder const &type=MWAWBorder())
| sets the extraline More...

## Public Attributes

MWProStructures & | m_parser
| the text parser More...
int | m_blockId
| the block id More...

## Additional Inherited Members

Public Types inherited from MWAWCell
enum | HorizontalAlignment { HALIGN_LEFT, HALIGN_RIGHT, HALIGN_CENTER, HALIGN_FULL, HALIGN_DEFAULT }
| the default horizontal alignement. More...
enum | VerticalAlignment { VALIGN_TOP, VALIGN_CENTER, VALIGN_BOTTOM, VALIGN_DEFAULT }
| the default vertical alignement. More...
enum | ExtraLine { E_None, E_Line1, E_Line2, E_Cross }
| an enum to defined potential internal line: E_Line1=TL to RB, E_Line2=BL to RT More...
Static Public Member Functions inherited from MWAWCell
static std::string | getCellName (Vec2i const &pos, Vec2b const &absolute)
| return the name of a cell (given row and column) : 0,0 -> A1, 0,1 -> A2 More...
static std::string | getColumnName (int col)
| return the column name More...
Protected Attributes inherited from MWAWCell
Vec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2 More...
Vec2i | m_numberCellSpanned
| the cell spanned : by default (1,1) More...
Box2f | m_bdBox
| the cell bounding box (unit in point) More...
Vec2f | m_bdSize
| the cell bounding size : unit point More...
HorizontalAlignment | m_hAlign
| the cell alignement : by default nothing More...
VerticalAlignment | m_vAlign
| the vertical cell alignement : by default nothing More...
std::vector< MWAWBorder > | m_bordersList
| the cell border MWAWBorder::Pos More...
MWAWColor | m_backgroundColor
| the backgroung color More...
bool | m_protected
| cell protected More...
ExtraLine | m_extraLine
| extra line More...
MWAWBorder | m_extraLineType
| extra line type More...

## Detailed Description

Internal: the cell of a WNProStructure.

## Constructor & Destructor Documentation

MWProStructuresInternal::Cell::Cell | ( | MWProStructures & | parser,
|  | Block * | block
| ) |  |

inline

constructor

## Member Function Documentation

bool MWProStructuresInternal::Cell::sendContent | ( | MWAWContentListenerPtr | listener,
|  | MWAWTable & |
| ) |  |

inline virtual

send the content

Reimplemented from MWAWCell.

## Member Data Documentation

int MWProStructuresInternal::Cell::m_blockId

the block id

Referenced by Cell(), and sendContent().

MWProStructures& MWProStructuresInternal::Cell::m_parser

the text parser

Referenced by sendContent().

The documentation for this struct was generated from the following file:

- MWProStructures.cxx